function d=combine2D(q,mx,my)
% Combine the arrays from a lagrQuad2D structure into a single array
d.nqty = q.nqty;
nside = q.n_side;
nint = q.n_int;

nx = mx*(nside+1)+1;
ny = my*(nside+1)+1;
d.nx = nx;
d.ny = ny;

d.f = zeros(d.nqty,nx,ny);

% fs array
i=1:mx+1;
j=1:my+1;
iv = (i-1)*(nside+1) + 1;
jv = (j-1)*(nside+1) + 1;
d.f(:,iv,jv) = q.fs;

if nside > 0
    % fsh array
    i=1:mx;
    j=1:my+1;
    for k=1:nside
        iv = (i-1)*(nside+1) + 1 + k;
        jv = (j-1)*(nside+1) + 1;
        d.f(:,iv,jv) = q.fsh(:,k,:,:);
    end

    % fsv array
    i=1:mx+1;
    j=1:my;
    for k=1:nside
        iv = (i-1)*(nside+1) + 1;
        jv = (j-1)*(nside+1) + 1 + k;
        d.f(:,iv,jv) = q.fsv(:,k,:,:);
    end

    % fsi array
    ni = sqrt(nint);
    i=1:mx;
    j=1:my;
    for kv=1:ni
        for kh=1:ni
            k = kh + (kv-1)*ni;
            iv = (i-1)*(ni+1) + 1 + kh;
            jv = (j-1)*(ni+1) + 1 + kv;
            d.f(:,iv,jv) = q.fsi(:,k,:,:);
        end
    end
end
