function qb=combineBlocks2D(rb, cb, sVar)
%
% rb = array of blocks to be combined
% cb = structure telling me geometry of blocks

nbl = length(rb);

if nbl == 1     % Only 1 block, so just call combine, and return
    n = 1;
    qb = eval(['combine2D(rb{n}.',sVar,', rb{n}.mx, rb{n}.my)']);
    return;
end

if nbl ~= length(cb.bl)
    error('Number of blocks inconsistent in combineBlocks2D')
end

qb.nqty = eval(['rb{1}.',sVar,'.nqty']);
qb.nx = cb.nx;
qb.ny = cb.ny;

qb.f=zeros(qb.nqty, qb.nx, qb.ny);

for n=1:nbl
    q = eval(['combine2D(rb{n}.',sVar,', rb{n}.mx, rb{n}.my)']);
    i1 = cb.bl{n}.i1;
    i2 = cb.bl{n}.i2;
    j1 = cb.bl{n}.j1;
    j2 = cb.bl{n}.j2;
    qb.f(:,i1:i2,j1:j2) = q.f;
end