function qt=readDis(fn)
% function qt=readDis(fn)
% Read in the 'discharge.bin' file named in fn.

fid = fopen(fn,'r');
n=0;    % Use infinite loop - break out when a read error is encountered.
while 1
    n = n+1;
    try
        q = readRecord2(fid);
        qt(:,n) = q;
    catch
        fclose(fid);
        return;
    end
end

% The qt array has the following elements.
%  1 - istep
%  2 - t
%  3 - kdivb_2
%  4 - total_energy
%  5 - internal engergy
%  6 - internal een
%  7 - internal ien
%  8 - log_etot
%  9 - log_ei
% 10 - growth
% 11 - i_eq + i_n0
% 12 - i_n0
% 13 - volt
% 14 - flux_eq + flux_n0
% 15 - flux_n0
% 16 - ff
% 17 - theta
% 18 - lin_cfl
% 19 - nl_cfl
% 20 - fl_cfl